Botan 1.10.17

Namespaces | Functions
mp_asm.cpp File Reference
`#include <botan/internal/mp_asm.h>`
`#include <botan/internal/mp_asmi.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/exceptn.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::bigint_add2 (word x[], size_t x_size, const word y[], size_t y_size)
word | Botan::bigint_add2_nc (word x[], size_t x_size, const word y[], size_t y_size)
void | Botan::bigint_add3 (word z[], const word x[], size_t x_size, const word y[], size_t y_size)
word | Botan::bigint_add3_nc (word z[], const word x[], size_t x_size, const word y[], size_t y_size)
void | Botan::bigint_cnd_abs (word cnd, word x[], size_t size)
word | Botan::bigint_cnd_add (word cnd, word x[], const word y[], size_t size)
word | Botan::bigint_cnd_sub (word cnd, word x[], const word y[], size_t size)
void | Botan::bigint_cnd_swap (word cnd, word x[], word y[], size_t size)
void | Botan::bigint_linmul2 (word x[], size_t x_size, word y)
void | Botan::bigint_linmul3 (word z[], const word x[], size_t x_size, word y)
word | Botan::bigint_sub2 (word x[], size_t x_size, const word y[], size_t y_size)
void | Botan::bigint_sub2_rev (word x[], const word y[], size_t y_size)
word | Botan::bigint_sub3 (word z[], const word x[], size_t x_size, const word y[], size_t y_size)